Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6997 - 6.1 Upgrade script dies if it encounters an unformatted partition.
Summary: 6.1 Upgrade script dies if it encounters an unformatted partition.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-14 18:18 UTC by mjm306
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-28 21:52:19 UTC


Attachments (Terms of Use)

Description mjm306 1999-11-14 18:18:59 UTC
I performed a network upgrade (with boot disk via ftp) from 6.0 to 6.1. The install script died while attempting to find the partition where 6.0 was installed. The debug info indicated that it had difficulty reading /dev/hda5.

I ran fdisk. /dev/hda5 was an extended partition that was marked as ext2 but not formatted.

Formatting the partition and re-running the install solved the problem.

Comment 1 Jay Turner 1999-11-22 18:48:59 UTC
This issue has been assigned to a developer for further action.

Comment 2 Michael Fulbright 2000-02-22 18:55:59 UTC
If you were trying to upgrade a machine with a partition which was marked
as Linux Native, but has no valid filesystem on it, bad things are sure to
happen.

Will mark as a request for future development that we handle this case
more robustly.

Comment 3 Erik Troan 2000-04-28 21:23:59 UTC
Fixed in 6.2.


Note You need to log in before you can comment on or make changes to this bug.